import classNames from "classnames";
import { FC } from "react";


interface ContainerProps {
  children: React.ReactNode;
  width?: '1440' | '1120';
}

const Container: FC<ContainerProps> = ({
  children,
  width = '1440'
}) => {

  return (
    <div className={classNames(
      'mx-auto px-8 lg:px-5',
      width === '1120' && 'max-w-[1120px]',
      width === '1440' && 'max-w-[1440px]',
    )}>
      {children}
    </div>
  )
}

export default Container;