import classNames from "classnames";
import { FC } from "react";


interface TitleProps {
  content: string;
  as: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
  className?: string
}

const Title: FC<TitleProps> = ({
  content,
  as,
  className
}) => {

  return (
    <>
    {as === 'h1' && (
        <h1 className={classNames(
          className,
          'leading-[1.2] text-h1 mb-8 lg:leading-[1.4]',
        )}>{content}</h1>
      )}
      {as === 'h2' && (
        <h2 className={classNames(
          className,
          'leading-[1.33] text-h2 mb-8 lg:leading-[1.2]',
        )}>{content}</h2>
      )}
      {as === 'h3' && (
        <h3 className={classNames(
          className,
          'leading-[1.33] text-h3 mb-8 lg:leading-[1.1]',
        )}>{content}</h3>
      )}
      {as === 'h4' && (
        <h4 className={classNames(
          className,
          'leading-[1.6] text-h4 mb-6 lg:leading-[1.3]',
        )}>{content}</h4>
      )}
      {as === 'h5' && (
        <h5 className={classNames(
          className,
          'leading-[1.6] mb-4 text-h5',
        )}>{content}</h5>
      )}
      {as === 'h6' && (
        <h6 className={classNames(
          className,
          'font-bold mb-4 text-h6',
        )}>{content}</h6>
      )}
    </>
  )
}

export default Title;