import { NextPage } from "next";
import Head from "next/head";
import Header from "layout/Header";
import Title from "components/Title";


interface AboutProps {
  environment: string;
}

const About: NextPage<AboutProps> = ({
  environment
}) => {
  return (
    <>
      <Head>
        <title>About this project</title>
      </Head>
      <Header environment={environment}>
        <Title className="font-bold max-w-4xl mx-auto" as="h1" content="About this project" />
        <p>This project was made with purpose to make an introduction to running Next.js application in Kubernetes cluster.</p>
        <p>It is used for the presenting of the main goal of University Qualification Thesis 2022/23, FIM UHK.</p>
      </Header>
    </>
  )
}

export const getServerSideProps = async({ locale }: { locale: any }) => {
  return {
    props: {
      environment: process.env.ENVIRONMENT
    },
  };
}

export default About;