export type K8sContainerType = {
  name: string,
  startTime: string
}

export type K8sPodType = {
  containers: [K8sContainerType],
  memory: {
    workingSetBytes: number,
    usageBytes: number
  }
}

export type K8sDataType = {
  node: {
    memory: {
      workingSetBytes: number,
      availableBytes: number
    },
    cpu: {
      usageCoreNanoSeconds: number,
      usageNanoCores: number
    },
    fs: {
      availableBytes: number,
      capacityBytes: number,
      inodes: number,
      inodesFree: number,
      inodesUsed: number
    }
  },
  pods: [K8sPodType]
}